<?php /* Copyright © 2010 Daniel B. Cristofani.

This file is part of dogtrak.

dogtrak is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

dogtrak is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with dogtrak. If not, see <http://www.gnu.org/licenses/>. */

require('./header.php');
$dbase=connect();

$dogid=$_GET['dogid'];
$action=$_GET['action'];
$today=date("Y-m-d");
$dogdata=get_dog_data($dbase,$dogid);
echo "Name: ".$dogdata['name'].$br;
if ($dogdata['picture']){
	echo "<img src=\"".$dogdata['picture']."\">".$br;
}

$accountid=$dogdata['accountid'];

echo $br;

if($action=="Add Bath"){
	$code=10;//Let's MAKE SURE we have the weight, later.
	if($dogdata['weight']>30) $code=11;
	if($dogdata['weight']>60) $code=12;
	if($dogdata['weight']>90) $code=13;
        if(add_standard_service($dogid,$_GET['service_date'],$code,$dbase)){
                echo "Scheduled a bath.".$br;
        } else {
                echo "Something is weird. Please report this.".$br;
        }

} else if ($action=="Add Nail Trim"){
	if(add_standard_service($dogid,$_GET['service_date'],15,$dbase)){
		echo "Scheduled a nail trim.".$br;
	} else {
		echo "Something is weird. Please report this.".$br;
	}
} else if ($action=="Check in for Service-ONLY Visit"){
        add_service_visit($dogid,$today,$dbase);//NO PROBLEM IF EXISTS ALREADY! FUNCTION HANDLES IT.
        pg_query($dbase,"update service_visits set when_checked_in = 'now' where (dogid=$dogid and date = '$today' and (when_checked_in is null));");
        echo "Okay, checked in ".dog_name_as_link($dbase,$dogid)." for service visit today.".$br;
} else if(!is_cleared($dbase,$dogid)){
	echo "Weird! You shouldn't have got here. ".dog_name_as_link($dbase,$dogid)." is not cleared for daycare or boarding. Please report this error.".$br;
} else if($action=="CHECK IN FOR SCHEDULED DAYCARE"||$action=="Check in for Daycare"){
	add_daycare_day($dogid,$today,$dbase);//NO PROBLEM IF EXISTS ALREADY! FUNCTION HANDLES IT.
	pg_query($dbase,"update daycare_days set when_checked_in = 'now' where (dogid=$dogid and date = '$today' and (when_checked_in is null));");
	echo "Okay, checked in ".dog_name_as_link($dbase,$dogid)." for daycare today.".$br;
	$punch_card_res=pg_query($dbase,"select * from punch_cards where accountid=$accountid and (num_remaining>0) ;");
	if(pg_num_rows($punch_card_res)){
		echo "Punch cards:".$br;
		for($i=0;$i<pg_num_rows($punch_card_res);$i++){
			$thiscard=pg_fetch_assoc($punch_card_res,$i);
			echo $thiscard['num_remaining'];
			if($thiscard['half_day']){
				echo " half-day";
			} else {
				echo " full-day";
			}
			echo " punches.".$br;
		}
	} else {
		echo "No punch cards.".$br;
	}

	$discount="";
	if(friends_and_family($dbase,$accountid)){
		$discount="gets friends and family discount";
		if(multidog($dbase,$accountid)){
			$discount=$discount." and multidog discount on top of that";
		}
	} else if (multidog($dbase,$accountid)||senior($dbase,$accountid)||rescue($dbase,$accountid)){
		$discount="gets 10% discount on daycare (";
		$reason="";
		if(multidog($dbase,$accountid)) $reason="multidog";
		if (senior($dbase,$accountid)){
			if($reason) $reason= $reason." and";
			$reason=$reason." senior";
		}
		if(rescue($dbase,$accountid)){
			if($reason) $reason=$reason." and";
			$reason=$reason." rescue";
		}
		$discount=$discount.$reason." discount)";
	} else {//SHOULD SEARCH FOR ANY DAYCARE DISCOUNTS ALSO. SPECIAL ONES LIKE THE GRANDFATHERED SHOULD SHOW UP.
		$discount="gets normal pricing";
	}
	echo dog_name_as_link($dbase,$dogid)." "."$discount".".".$br;
} else if($action=="CHECK IN FOR SCHEDULED BOARDING STAY"){
	$boarding_stay=get_boarding_stay_data($dbase,$dogid,$today);
	if(!$boarding_stay){
		echo "There's been some mistake. We currently have no boarding stay scheduled for ".dog_name_as_link($dbase,$dogid)." today.".$br;

		//NOT SURE HOW ELSE TO HANDLE THIS.
		//ALSO NOT SURE HOW CANCELLATIONS SHOULD WORK. WHERE DO WE CHECK IT--IN get_BOARDING_STAY_DATA, OR ELSEWHERE?
	} else {
		$boarding_stay_id=$boarding_stay['id'];
		pg_query($dbase,"update boarding_stays set when_checked_in='now' where (id=$boarding_stay_id and when_checked_in is null);");
		echo "Okay, checked in ".dog_name_as_link($dbase,$dogid)." for boarding stay from today until ".$boarding_stay['end_date'].".".$br;
		//Here we want to add the possibility of nail trims baths etc. also ask about food etc.
		//And other comments.
	}
} else {
	echo "Bug! Please let me know how you got here.".$br;
}
$account_data=get_account_data($dbase,$accountid);


if ($status=is_checked_in($dbase,$dogid)){
	if($status==1||$status==3){
		$service_date=$today;
		$services_resource=pg_query($dbase,"select * from services where (dogid=$dogid and date='$today');");
		$when=" today.";

	} else if($status==2){
		$boarding_stay_data=get_boarding_stay_data($dbase,$dogid,$today);
		$service_date=$boarding_stay_data['end_date'];
		$start_date=$boarding_stay_data['start_date'];
		$services_resource=pg_query($dbase,"select * from services where (dogid=$dogid and date>='$start_date' and date<='$service_date');");
		$when=" this boarding stay.";
	}
	$yesbath=$yesnails=0;
	for($i=0;$i<pg_num_rows($services_resource);$i++){
		$service_data=pg_fetch_assoc($services_resource,$i);
		$service_type_data=get_service_type_data($dbase,$service_data['service_code']);
		echo "We have a ".$service_type_data['description']." scheduled for ".dog_name_as_link($dbase,$dogid).$when.$br;
		if(($code=$service_data['service_code'])==15) $yesnailtrim=1;
		else if ($code>=10&&$code<=13) $yesbath=1;
	}?>
        <form method="get" action="checked_in.php">
        <input type="hidden" name="dogid" value="<?php echo $dogid; ?>" />
	<input type="hidden" name="service_date" value="<?php echo $service_date; ?>" />
	<?php if (!$yesbath){
		?>
		<input type="submit" name="action" value="Add Bath" />
		<?php
	}
	if(!$yesnailtrim){
		?>
		<input type="submit" name="action" value="Add Nail Trim" />
		<?php
	}?>
	</form><br />
	<?php
}
$dogs=splitup($account_data['dogs']);
$printed=0;
foreach($dogs as $dogid2){
        $dog_data=get_dog_data($dbase,$dogid2);
	if(!is_checked_in($dbase,$dogid2)){
		if(!$printed) {
			echo "Also on this account, in case they arrived together:".$br;
			$printed=1;
		}
		echo dog_name_as_link($dbase,$dogid2);
		if(get_boarding_stay_data($dbase,$dogid2,$today)){
                	?>
                	<form method="get" action="checked_in.php">
                	<input type="hidden" name="dogid" value="<?php echo $dogid2; ?>" />
                	<input type="submit" name="action" value="Check in for Boarding" />
                	</form><br />
                	<?php
		} else if(is_cleared($dbase,$dogid2)){//MAYBE CHECK IF THEY'RE CLEARED FIRST.
                        ?>
                        <form method="get" action="checked_in.php">
                        <input type="hidden" name="dogid" value="<?php echo $dogid2; ?>" />
                        <input type="submit" name="action" value="Check in for Daycare" />
                        </form><br />
                        <?php
		}
	}
		
}

//ADD HERE things to add to this day. Add notes, add nail trim, add bath, add feeding. Also other info.
?>
<?php require ('./footer.php'); ?>
