<?php /* Copyright © 2010 Daniel B. Cristofani.

This file is part of dogtrak.

dogtrak is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

dogtrak is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with dogtrak. If not, see <http://www.gnu.org/licenses/>. */

require('./header.php');
$dbase=connect();
pg_query($dbase,"create table dogs (id serial primary key, name varchar(50) not null, accountid integer, vet integer, breed varchar(80), sex varchar(20), weight integer, picture varchar(40), birthdate date, deathdate date, microchip boolean, fixed boolean, bordetella date, distemper date, rabies date, fix_date date, allergies varchar(250), incidents integer[], rescue boolean,cleared_for_daycare timestamp);");

pg_query($dbase,"create table people (id serial primary key, firstname varchar(30), middlename varchar(30), lastname varchar(50) not null, accountids integer[], address1 varchar(50), city varchar(50), state varchar(20), zip varchar(10), email varchar(100), dayphone varchar(50), evephone varchar(50), incidents integer[], senior boolean);");

//CREATE TABLE VETS IN A WHILE.

pg_query($dbase, "create table accounts (id serial primary key, people integer[], dogs integer[], punch_cards integer[], bill_items integer[], friends_and_family boolean);"); 

pg_query($dbase,"create table boarding_stays (id serial primary key, dogid integer not null, start_date date not null, end_date date not null, start_time time, end_time time, when_scheduled timestamp, when_checked_in timestamp, when_checked_out timestamp, cancelled timestamp, deposit integer, bill_item_id integer, comments varchar(250));");

pg_query($dbase,"create table daycare_days (dogid integer not null, date date not null, when_scheduled timestamp, when_checked_in timestamp, when_checked_out timestamp, cancelled timestamp, bill_item_id integer, comments varchar(250), primary key (dogid, date));");

pg_query($dbase,"create table service_visits (id serial primary key, dogid integer, date date not null, when_scheduled timestamp, when_checked_in timestamp, when_checked_out timestamp, cancelled timestamp, comments varchar(250));");

pg_query($dbase,"create table service_types (id integer primary key, description varchar(80), default_price money, ff_price money);");

pg_query($dbase,"create table discounts (service_code integer, dogid integer, accountid integer, person integer, cost_diff money, cost_factor numeric(3,2), explanation varchar(30));");

pg_query($dbase,"create table services (id serial primary key, dogid integer, accountid integer, date date not null, when_scheduled timestamp, what_time_scheduled_for time, scheduled_end time, cancelled timestamp, service_code integer, comment varchar(80), bill_item_id integer, what_time_done timestamp);");

//services are really for scheduling, nothing more. They are miscellaneous to-do items, the most common being baths, feedings, nail clips, meds.

pg_query($dbase,"create table bill_items(id serial primary key, service_code integer, boarding_stay integer, explanation varchar(250), accountid integer, dogid integer, date date, adjustment money, cost money, when_billed timestamp, when_due date, when_paid timestamp, how_paid varchar(60));");

/*This should handle credits as well. Let's note:
-when service and boarding_stay and explanation are null, it's for a regular daycare day.
-when when service and boarding stay are null but explanation is not, the explanation will explain the bill--it may be a credit or something bought at retail or whatever.
-when service is non-null, it's for a service, which we link to.
	(If boarding_stay is also non-null, it was during a boarding stay.)
-when service is null but  boarding_stay is not, the bill is for a boarding stay.
*/
//QUESTION! Should bill_items include service_code? Let's see. And does it need to include service, as it does?

pg_query($dbase,"create table punch_cards(id serial primary key, accountid integer, bill_item_id integer, num_remaining integer, when_created timestamp, half_day boolean);");

pg_query($dbase,"create table incidents(id serial primary key, dogids integer[], personids integer[], comments varchar(250), bill_items integer[]);");

pg_query($dbase,"create table users(id serial primary key, username varchar(32) unique not null, privilege integer, password varchar(32) not null);");

echo "If you didn't get error messages above, and this page has finished loading, then presumably it has created all the tables for your database."
?>
<?php require ('./footer.php'); ?>
